Subject: [MMUSIC] BUNDLE and RTCP - Clarification

From: Suhas Nandakumar <[email-masked]>
Date: Sun, 1 Feb 2015 19:23:22 -0800

Regarding section 10.3 of the latest BUNDLE draft , do the following
 understanding correct

1. If RTCP multiplexing is not negotiated (rejected by the answer) , then
by default the RTCP port is the RTP Port + 1

2. If the Offerer doesn't want to do RTP/RTCP Mux for a given m=line, then
that m=line is not BUNDLEd any more since different address:port
combination will be used for RTP and RTCP

3. If the Offerer wants to use a different RTCP port using RFC3605
mechanism for a given m= line then that m=line is not part of BUNDLE group.

Thanks
Suhas

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 2 Feb 2015 07:59:15 +0000

Hi,

>Regarding section 10.3 of the latest BUNDLE draft , do the following  understanding correct
>
>1. If RTCP multiplexing is not negotiated (rejected by the answer) , then by default the RTCP port is the RTP Port + 1

Correct.

>2. If the Offerer doesn't want to do RTP/RTCP Mux for a given m=line, then that m=line is not BUNDLEd any more since different address:port >combination will be used for RTP and RTCP
>
>3. If the Offerer wants to use a different RTCP port using RFC3605 mechanism for a given m= line then that m=line is not part of BUNDLE >group.

You don’t have to use RTP/RTCP Mux within a BUNDLE group, but all bundled m- lines obviously must either use, or not use, RTP/RTCP mux.

If you don’t use RTP/RTCP, separate ports will be used for RTP and RTCP, but all bundled m- lines will share the same ports.

But, if you only want to use something for a specific m- line, that m- line can obviously not be bundled with other m- lines.

Regards,

Christer

---

From: Suhas Nandakumar <[email-masked]>
Date: Mon, 2 Feb 2015 14:46:22 -0800

Thanks Christer .. one more question inline

Cheers
Suhas

On Sun, Feb 1, 2015 at 11:59 PM, Christer Holmberg <
[email-masked]> wrote:

> >2. If the Offerer doesn't want to do RTP/RTCP Mux for a given m=line,
> then that m=line is not BUNDLEd any more since different address:port
> mechanism for a given m= line then that m=line is not part of BUNDLE >group.
>
>
>
> You don’t have to use RTP/RTCP Mux within a BUNDLE group, but all bundled
> m- lines obviously must either use, or not use, RTP/RTCP mux.
>
>
>
> If you don’t use RTP/RTCP, separate ports will be used for RTP and RTCP,
> but all bundled m- lines will share the same ports
>

[Suhas] What is the way to specify a different RTCP port for the bundle
group. Since If i am not wrong, the a=rtcp should either have the same port
from the m=line or cannot use that attribute at all from the below text

"When an offerer generates an initial offer, if the offerer wants to
negotiate usage of RTP/RTCP multiplexing within a BUNDLE group, the offerer
MUST associate an SDP 'rtcp-mux' attribute[RFC5761]
<http://tools.ietf.org/id/draft-ietf-mmusic-sdp-bundle-negotiation-16.html#RFC5761>
 with each bundled RTP-based "m=" line (including any bundle-only "m="
line) in the offer. In addition, the offerer MUST associate an SDP 'rtcp'
attribute [RFC3605]
<http://tools.ietf.org/id/draft-ietf-mmusic-sdp-bundle-negotiation-16.html#RFC3605>
 with each bundled RTP-based "m=" line (including any bundle-only "m="
line), with an attribute value that is identical to the port value assigned
to the "m=" line itself, in the offer.
If the offerer does not want to negotiate usage of RTP/RTCP multiplexing,
it MUST NOT associate the SDP attributes above with any bundled "m=" line."

 But, if you only want to use something for a specific m- line, that m-
> line can obviously not be bundled with other m- lines.
>
>
>
> Regards,
>
>
>
> Christer
>